const audioLines = document.querySelectorAll('.audio-line');

audioLines.forEach(line => {
  const header = line.querySelector('.audio-info');

  header.addEventListener('click', () => {
    const isActive = line.classList.contains('active');

    // Fermer tous les autres
    audioLines.forEach(l => l.classList.remove('active'));

    // Si ce n'était pas déjà ouvert, on l'ouvre
    if (!isActive) {
      line.classList.add('active');
    }
  });
});
